Name:          juddi
Version:       3.2.1
Release:       1%{?dist}
Summary:       Implementation of OASIS's UDDI v3 specification
License:       ASL 2.0
URL:           http://juddi.apache.org/
Source0:       https://github.com/apache/juddi/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(cglib:cglib)
BuildRequires: mvn(commons-cli:commons-cli)
BuildRequires: mvn(commons-codec:commons-codec)
BuildRequires: mvn(commons-collections:commons-collections)
BuildRequires: mvn(commons-configuration:commons-configuration)
BuildRequires: mvn(commons-logging:commons-logging-api)
BuildRequires: mvn(dumbster:dumbster)
BuildRequires: mvn(javax.jmdns:jmdns)
BuildRequires: mvn(javax.mail:mail)
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(mysql:mysql-connector-java)
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.apache.cxf.services.ws-discovery:cxf-services-ws-discovery-api)
BuildRequires: mvn(org.apache.derby:derby)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-jta_1.1_spec)
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: mvn(org.hibernate:hibernate-core)
BuildRequires: mvn(org.hibernate:hibernate-entitymanager)
BuildRequires: mvn(org.hibernate.javax.persistence:hibernate-jpa-2.1-api)
BuildRequires: mvn(org.jboss.spec.javax.xml.ws:jboss-jaxws-api_2.2_spec)
BuildRequires: mvn(org.jgroups:jgroups)
BuildRequires: mvn(postgresql:postgresql)
BuildRequires: mvn(wsdl4j:wsdl4j)
BuildRequires: mvn(xmlunit:xmlunit)
%if %{?fedora} > 20
BuildRequires: mvn(org.apache.geronimo.specs:specs:pom:)
BuildRequires: mvn(org.apache:apache:pom:)
%else
BuildRequires: mvn(org.apache.geronimo.specs:specs)
BuildRequires: mvn(org.apache:apache)
%endif

# BuildRequires: mvn(org.apache.openjpa:openjpa-maven-plugin)
# BuildRequires: mvn(org.hibernate.javax.persistence:hibernate-jpa-2.0-api)
# BuildRequires: mvn(org.jvnet.jax-ws-commons:jaxws-maven-plugin)
# BuildRequires: mvn(org.codehaus.mojo:jaxws-maven-plugin)
# BuildRequires: mvn(org.mockejb:mockejb)

BuildArch:     noarch

%description
jUDDI is an open source Java implementation of the
Universal Description, Discovery, and Integration
(UDDI v3) specification for Web Services.

%package client
Summary:       jUDDI Client side Code

%description client
This package contains jUDDI Client.

%package client-plugins
Summary:       jUDDI Client Plugins

%description client-plugins
The idea with this project to provide some additional plugins for the
jUDDI Client to discover services using alternative mechanisms. 

Planned: Adapter using jgroups and mDNS to find a UDDI server and
thus minimize the configuration data needed for using a jUDDI client to
almost nothing.

%package core
Summary:       jUDDI Core Services

%description core
This package contains jUDDI Core Services.

%package uddi-migration-tool
Summary:       UDDI Migration tool

%description uddi-migration-tool
This package contains UDDI Migration tool.

%package uddi-ws
Summary:       UDDIv2 and v3 WS Stubs

%description uddi-ws
This package contains UDDIv2 and v3 WS Stubs and
Schema Bindings Generated from WSDL.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
find . -name "*.bat" -print -delete
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete

%pom_remove_plugin :ianal-maven-plugin
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-site-plugin

%pom_disable_module juddi-core-openjpa
%pom_disable_module juddi-examples
%pom_disable_module juddi-gui
%pom_disable_module juddi-gui-dsig
%pom_disable_module juddi-rest-cxf
%pom_disable_module juddi-tomcat
%pom_disable_module juddiv3-war
%pom_disable_module uddi-tck
%pom_disable_module uddi-tck-base

%pom_remove_dep :geronimo-jaxws_2.2_spec uddi-ws
%pom_add_dep org.jboss.spec.javax.xml.ws:jboss-jaxws-api_2.2_spec:2.0.2.Final-SNAPSHOT:provided uddi-ws

%pom_remove_plugin :maven-assembly-plugin juddi-client
%pom_xpath_set "pom:dependency[pom:groupId='javax.servlet']/pom:artifactId" javax.servlet-api juddi-client
%pom_xpath_set "pom:dependency[pom:groupId='javax.servlet']/pom:version" 3.1.0 juddi-client

%pom_remove_plugin :maven-assembly-plugin uddi-migration-tool
%pom_add_plugin "org.apache.maven.plugins:maven-jar-plugin:2.4" uddi-migration-tool "
<configuration>
  <archive>
    <manifest>
      <mainClass>org.apache.juddi.v3.migration.tool.App</mainClass>
    </manifest>
  </archive>
</configuration>"

%pom_remove_plugin :hibernate3-maven-plugin juddi-core
%pom_remove_dep :geronimo-javamail_1.4_mail juddi-core
%pom_add_dep javax.mail:mail:1.5.0:provided juddi-core
%pom_xpath_set "pom:dependency[pom:groupId='cglib']/pom:artifactId" cglib juddi-core
%pom_xpath_set "pom:dependency[pom:groupId='javax.servlet']/pom:artifactId" javax.servlet-api juddi-core
%pom_xpath_set "pom:dependency[pom:groupId='javax.servlet']/pom:version" 3.1.0 juddi-core
# org.mockejb:mockejb:jar:0.6-beta2
%pom_remove_dep :mockejb juddi-core
%pom_remove_dep :uddi-tck-base juddi-core
rm -r juddi-core/src/test/java

%build

%mvn_build -s

%install
%mvn_install

%files -f .mfiles-juddi-parent
%doc readme.txt
%license LICENSE NOTICE
%files client -f .mfiles-juddi-client
%files client-plugins -f .mfiles-juddi-client-plugins
%doc juddi-client-plugins/README.txt
%files core -f .mfiles-juddi-core
%files uddi-migration-tool -f .mfiles-uddi-migration-tool
%files uddi-ws -f .mfiles-uddi-ws
%doc RELEASE_NOTES.html uddi-ws/README.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Sat Jul 04 2015 gil cattaneo <puntogil@libero.it> 3.2.1-1
- initial rpm
